Admin A P I
List database host databases
Returns a paginated list of server databases assigned to a database host.
GET
/api/admin/database-hosts/{databaseHost_id}/databasesAuthorization
default AuthorizationBearer <token>
Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Path Parameters
databaseHost_id*string
The ID of the databaseHost.
Query Parameters
page?integer
Page number to retrieve.
per_page?integer
Results to return per page.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/admin/database-hosts/architecto/databases?page=1&per_page=50"{ "object": "list", "data": [ { "object": "database", "attributes": { "server": { "id": 1, "name": "Survival" }, "name": "s1_database", "username": "u1_database", "connections_from": "%", "max_connections": 0 } } ], "meta": { "pagination": { "total": 1, "count": 1, "per_page": 50, "current_page": 1, "total_pages": 1, "links": { "property1": "string", "property2": "string" } } }}